## org.eclipse.datatools.modelbase.sql.routines
Interface SQLRoutinesPackage.Literals

Enclosing interface:
  SQLRoutinesPackage

    public static interface SQLRoutinesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `BUILT_IN_FUNCTION` The meta object literal for the '`Built In Function`' class.
`static org.eclipse.emf.ecore.EEnum` `DATA_ACCESS` The meta object literal for the '`Data Access`' enum.
`static org.eclipse.emf.ecore.EClass` `FUNCTION` The meta object literal for the '`Function`' class.
`static org.eclipse.emf.ecore.EAttribute` `FUNCTION__MUTATOR` The meta object literal for the 'Mutator' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `FUNCTION__NULL_CALL` The meta object literal for the 'Null Call' attribute feature.
`static org.eclipse.emf.ecore.EReference` `FUNCTION__RETURN_CAST` The meta object literal for the 'Return Cast' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `FUNCTION__RETURN_SCALAR` The meta object literal for the 'Return Scalar' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `FUNCTION__RETURN_TABLE` The meta object literal for the 'Return Table' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `FUNCTION__STATIC` The meta object literal for the 'Static' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `FUNCTION__TRANSFORM_GROUP` The meta object literal for the 'Transform Group' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `FUNCTION__TYPE_PRESERVING` The meta object literal for the 'Type Preserving' attribute feature.
`static org.eclipse.emf.ecore.EClass` `METHOD` The meta object literal for the '`Method`' class.
`static org.eclipse.emf.ecore.EAttribute` `METHOD__CONSTRUCTOR` The meta object literal for the 'Constructor' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `METHOD__OVERRIDING` The meta object literal for the 'Overriding' attribute feature.
`static org.eclipse.emf.ecore.EClass` `PARAMETER` The meta object literal for the '`Parameter`' class.
`static org.eclipse.emf.ecore.EAttribute` `PARAMETER__LOCATOR` The meta object literal for the 'Locator' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `PARAMETER__MODE` The meta object literal for the 'Mode' attribute feature.
`static org.eclipse.emf.ecore.EReference` `PARAMETER__ROUTINE` The meta object literal for the 'Routine' container reference feature.
`static org.eclipse.emf.ecore.EReference` `PARAMETER__STRING_TYPE_OPTION` The meta object literal for the 'String Type Option' containment reference feature.
`static org.eclipse.emf.ecore.EEnum` `PARAMETER_MODE` The meta object literal for the '`Parameter Mode`' enum.
`static org.eclipse.emf.ecore.EClass` `PROCEDURE` The meta object literal for the '`Procedure`' class.
`static org.eclipse.emf.ecore.EAttribute` `PROCEDURE__MAX_RESULT_SETS` The meta object literal for the 'Max Result Sets' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `PROCEDURE__OLD_SAVE_POINT` The meta object literal for the 'Old Save Point' attribute feature.
`static org.eclipse.emf.ecore.EReference` `PROCEDURE__RESULT_SET` The meta object literal for the 'Result Set' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `ROUTINE` The meta object literal for the '`Routine`' class.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__AUTHORIZATION_ID` The meta object literal for the 'Authorization ID' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__CREATION_TS` The meta object literal for the 'Creation TS' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__DETERMINISTIC` The meta object literal for the 'Deterministic' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__EXTERNAL_NAME` The meta object literal for the 'External Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__LANGUAGE` The meta object literal for the 'Language' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__LAST_ALTERED_TS` The meta object literal for the 'Last Altered TS' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__PARAMETER_STYLE` The meta object literal for the 'Parameter Style' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ROUTINE__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `ROUTINE__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__SECURITY` The meta object literal for the 'Security' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ROUTINE__SOURCE` The meta object literal for the 'Source' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__SPECIFIC_NAME` The meta object literal for the 'Specific Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUTINE__SQL_DATA_ACCESS` The meta object literal for the 'Sql Data Access' attribute feature.
`static org.eclipse.emf.ecore.EClass` `ROUTINE_RESULT_TABLE` The meta object literal for the '`Routine Result Table`' class.
`static org.eclipse.emf.ecore.EClass` `SOURCE` The meta object literal for the '`Source`' class.
`static org.eclipse.emf.ecore.EAttribute` `SOURCE__BODY` The meta object literal for the 'Body' attribute feature.
`static org.eclipse.emf.ecore.EClass` `USER_DEFINED_FUNCTION` The meta object literal for the '`User Defined Function`' class.

Field Detail

### ROUTINE

    static final org.eclipse.emf.ecore.EClass ROUTINE

  The meta object literal for the '`Routine`' class.

  See Also:
    `RoutineImpl`, `SQLRoutinesPackageImpl.getRoutine()`

### ROUTINE__SPECIFIC_NAME

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__SPECIFIC_NAME

  The meta object literal for the 'Specific Name' attribute feature.

### ROUTINE__LANGUAGE

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__LANGUAGE

  The meta object literal for the 'Language' attribute feature.

### ROUTINE__PARAMETER_STYLE

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__PARAMETER_STYLE

  The meta object literal for the 'Parameter Style' attribute feature.

### ROUTINE__DETERMINISTIC

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__DETERMINISTIC

  The meta object literal for the 'Deterministic' attribute feature.

### ROUTINE__SQL_DATA_ACCESS

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__SQL_DATA_ACCESS

  The meta object literal for the 'Sql Data Access' attribute feature.

### ROUTINE__CREATION_TS

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__CREATION_TS

  The meta object literal for the 'Creation TS' attribute feature.

### ROUTINE__LAST_ALTERED_TS

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__LAST_ALTERED_TS

  The meta object literal for the 'Last Altered TS' attribute feature.

### ROUTINE__AUTHORIZATION_ID

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__AUTHORIZATION_ID

  The meta object literal for the 'Authorization ID' attribute feature.

### ROUTINE__SECURITY

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__SECURITY

  The meta object literal for the 'Security' attribute feature.

### ROUTINE__EXTERNAL_NAME

    static final org.eclipse.emf.ecore.EAttribute ROUTINE__EXTERNAL_NAME

  The meta object literal for the 'External Name' attribute feature.

### ROUTINE__PARAMETERS

    static final org.eclipse.emf.ecore.EReference ROUTINE__PARAMETERS

  The meta object literal for the 'Parameters' containment reference list feature.

### ROUTINE__SOURCE

    static final org.eclipse.emf.ecore.EReference ROUTINE__SOURCE

  The meta object literal for the 'Source' containment reference feature.

### ROUTINE__SCHEMA

    static final org.eclipse.emf.ecore.EReference ROUTINE__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### SOURCE

    static final org.eclipse.emf.ecore.EClass SOURCE

  The meta object literal for the '`Source`' class.

  See Also:
    `SourceImpl`, `SQLRoutinesPackageImpl.getSource()`

### SOURCE__BODY

    static final org.eclipse.emf.ecore.EAttribute SOURCE__BODY

  The meta object literal for the 'Body' attribute feature.

### PARAMETER

    static final org.eclipse.emf.ecore.EClass PARAMETER

  The meta object literal for the '`Parameter`' class.

  See Also:
    `ParameterImpl`, `SQLRoutinesPackageImpl.getParameter()`

### PARAMETER__MODE

    static final org.eclipse.emf.ecore.EAttribute PARAMETER__MODE

  The meta object literal for the 'Mode' attribute feature.

### PARAMETER__LOCATOR

    static final org.eclipse.emf.ecore.EAttribute PARAMETER__LOCATOR

  The meta object literal for the 'Locator' attribute feature.

### PARAMETER__ROUTINE

    static final org.eclipse.emf.ecore.EReference PARAMETER__ROUTINE

  The meta object literal for the 'Routine' container reference feature.

### PARAMETER__STRING_TYPE_OPTION

    static final org.eclipse.emf.ecore.EReference PARAMETER__STRING_TYPE_OPTION

  The meta object literal for the 'String Type Option' containment reference feature.

### PROCEDURE

    static final org.eclipse.emf.ecore.EClass PROCEDURE

  The meta object literal for the '`Procedure`' class.

  See Also:
    `ProcedureImpl`, `SQLRoutinesPackageImpl.getProcedure()`

### PROCEDURE__MAX_RESULT_SETS

    static final org.eclipse.emf.ecore.EAttribute PROCEDURE__MAX_RESULT_SETS

  The meta object literal for the 'Max Result Sets' attribute feature.

### PROCEDURE__OLD_SAVE_POINT

    static final org.eclipse.emf.ecore.EAttribute PROCEDURE__OLD_SAVE_POINT

  The meta object literal for the 'Old Save Point' attribute feature.

### PROCEDURE__RESULT_SET

    static final org.eclipse.emf.ecore.EReference PROCEDURE__RESULT_SET

  The meta object literal for the 'Result Set' containment reference list feature.

### FUNCTION

    static final org.eclipse.emf.ecore.EClass FUNCTION

  The meta object literal for the '`Function`' class.

  See Also:
    `FunctionImpl`, `SQLRoutinesPackageImpl.getFunction()`

### FUNCTION__NULL_CALL

    static final org.eclipse.emf.ecore.EAttribute FUNCTION__NULL_CALL

  The meta object literal for the 'Null Call' attribute feature.

### FUNCTION__STATIC

    static final org.eclipse.emf.ecore.EAttribute FUNCTION__STATIC

  The meta object literal for the 'Static' attribute feature.

### FUNCTION__TRANSFORM_GROUP

    static final org.eclipse.emf.ecore.EAttribute FUNCTION__TRANSFORM_GROUP

  The meta object literal for the 'Transform Group' attribute feature.

### FUNCTION__TYPE_PRESERVING

    static final org.eclipse.emf.ecore.EAttribute FUNCTION__TYPE_PRESERVING

  The meta object literal for the 'Type Preserving' attribute feature.

### FUNCTION__MUTATOR

    static final org.eclipse.emf.ecore.EAttribute FUNCTION__MUTATOR

  The meta object literal for the 'Mutator' attribute feature.

### FUNCTION__RETURN_TABLE

    static final org.eclipse.emf.ecore.EReference FUNCTION__RETURN_TABLE

  The meta object literal for the 'Return Table' containment reference feature.

### FUNCTION__RETURN_SCALAR

    static final org.eclipse.emf.ecore.EReference FUNCTION__RETURN_SCALAR

  The meta object literal for the 'Return Scalar' containment reference feature.

### FUNCTION__RETURN_CAST

    static final org.eclipse.emf.ecore.EReference FUNCTION__RETURN_CAST

  The meta object literal for the 'Return Cast' containment reference feature.

### ROUTINE_RESULT_TABLE

    static final org.eclipse.emf.ecore.EClass ROUTINE_RESULT_TABLE

  The meta object literal for the '`Routine Result Table`' class.

  See Also:
    `RoutineResultTableImpl`, `SQLRoutinesPackageImpl.getRoutineResultTable()`

### METHOD

    static final org.eclipse.emf.ecore.EClass METHOD

  The meta object literal for the '`Method`' class.

  See Also:
    `MethodImpl`, `SQLRoutinesPackageImpl.getMethod()`

### METHOD__OVERRIDING

    static final org.eclipse.emf.ecore.EAttribute METHOD__OVERRIDING

  The meta object literal for the 'Overriding' attribute feature.

### METHOD__CONSTRUCTOR

    static final org.eclipse.emf.ecore.EAttribute METHOD__CONSTRUCTOR

  The meta object literal for the 'Constructor' attribute feature.

### USER_DEFINED_FUNCTION

    static final org.eclipse.emf.ecore.EClass USER_DEFINED_FUNCTION

  The meta object literal for the '`User Defined Function`' class.

  See Also:
    `UserDefinedFunctionImpl`, `SQLRoutinesPackageImpl.getUserDefinedFunction()`

### BUILT_IN_FUNCTION

    static final org.eclipse.emf.ecore.EClass BUILT_IN_FUNCTION

  The meta object literal for the '`Built In Function`' class.

  See Also:
    `BuiltInFunctionImpl`, `SQLRoutinesPackageImpl.getBuiltInFunction()`

### DATA_ACCESS

    static final org.eclipse.emf.ecore.EEnum DATA_ACCESS

  The meta object literal for the '`Data Access`' enum.

  See Also:
    `DataAccess`, `SQLRoutinesPackageImpl.getDataAccess()`

### PARAMETER_MODE

    static final org.eclipse.emf.ecore.EEnum PARAMETER_MODE

  The meta object literal for the '`Parameter Mode`' enum.

  See Also:
    `ParameterMode`, `SQLRoutinesPackageImpl.getParameterMode()`